<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>ru.entaxy.esb.system.auth.basic</groupId>
        <artifactId>basic-auth</artifactId>
        <version>1.8.0</version>
    </parent>

    <groupId>ru.entaxy.esb.system.auth.basic.api</groupId>
    <artifactId>basic-auth-api</artifactId>
    <packaging>bundle</packaging>

    <name>SYSTEM :: ENTAXY :: BASIC AUTH SERVICE API</name>
    <description>SYSTEM :: ENTAXY :: BASIC AUTH SERVICE API</description>

    <properties>
        <bundle.osgi.export.pkg>
            ru.entaxy.esb.system.auth.basic.jpa.api,
            ru.entaxy.esb.system.auth.basic.jpa.api.entity,
            ru.entaxy.esb.system.auth.basic.jpa.api.entity.field,
            ru.entaxy.esb.system.auth.basic.jpa.api.exception
        </bundle.osgi.export.pkg>
        <bundle.osgi.import.pkg>
            javax.persistence;version="[2,3)",
            org.hibernate.proxy;version="[5,6)",
            javassist.util.proxy,
            *
        </bundle.osgi.import.pkg>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.eclipse.persistence</groupId>
            <artifactId>javax.persistence</artifactId>
            <version>${jpa.version}</version>
        </dependency>
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-core</artifactId>
            <version>${hibernate.version}</version>
        </dependency>

        <dependency>
            <groupId>ru.entaxy.esb.system.commons</groupId>
            <artifactId>system-commons</artifactId>
            <version>${project.version}</version>
            <scope>provided</scope>
        </dependency>
    </dependencies>
</project>
